var mapper  = mapperFactory.createMapper("ProcessarNfe");

if(message.get("obj")){
    var obj = message.get("obj");
}else{
    var obj = message;
}
println("Iniciou a consulta se existe!");
var rs = mapper.selectOne("cdControleNfceExiste", obj);

var result = 0;
if(null === rs){// se nao existe inclui
    println("Inclui Arq!");
    mapper.insert("incluirNfceArq", obj);
    result = obj.get("cdControle");
}else{// se existe retorna codigo
    if( mapper.selectOne("isAlterar", {"cdControle" : rs.get("CD_CONTROLE")})){
        obj.cdControle
        mapper.update("alterarArquivoNfceImportacao", obj);        
    }
    result = rs.get("CD_CONTROLE");
}
mapper.insert("incluirNfeArqHistorico", {"cdControle" : result});  
mapper.commit();
result;